%define	upstream_name	 PAR
%define upstream_version 1.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl Archive Toolkit
License:    Artistic
Group:      Development/Perl
Url:        http://par.perl.org/
Source0:    http://www.cpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Archive::Zip) >= 1.0.0
BuildRequires: perl(AutoLoader) >= 5.660_200
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(PAR::Dist) >= 0.320.0
BuildRequires: perl-devel
BuildRequires: perl-Module-Signature
%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%make test

%install
%make_install

%files 
%doc AUTHORS Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PAR.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-4.mga6
+ Revision: 1031627
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.10.0-3.mga6
+ Revision: 971596
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.10.0-2.mga6
+ Revision: 892096
- make it noarch thus fixing empty debuginfo

* Mon Jul 20 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 855775
- update to 1.010

* Tue Jul 07 2015 sander85 <sander85> 1.9.0-1.mga6
+ Revision: 852558
- update to 1.009

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 740737
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 685796
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 525253
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.7.0-3.mga4
+ Revision: 432726
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 371157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.7.0-1.mga3
+ Revision: 315807
- update to 1.007

* Mon Oct 15 2012 jquelin <jquelin> 1.6.0-1.mga3
+ Revision: 306187
- update to 1.006

* Thu Dec 08 2011 kharec <kharec> 1.5.0-1.mga2
+ Revision: 179243
- update to 1.005

* Sun Jan 23 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 34061
- mageia rebuild
- imported package perl-PAR


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 561933
- update to 1.002

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 536209
- update to 1.000

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.994.0-1mdv2010.0
+ Revision: 399265
- update to 0.994
- using %%perl_convert_version

* Thu May 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.992-2mdv2010.0
+ Revision: 372849
- force rebuild, now that io-compress madness is gone
- update to new version 0.992

* Wed Mar 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.991-1mdv2009.1
+ Revision: 353872
- update to new version 0.991

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.983-1mdv2009.1
+ Revision: 292339
- update to new version 0.983

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.982-1mdv2009.0
+ Revision: 272286
- update to new version 0.982

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.980-2mdv2009.0
+ Revision: 268651
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.980-1mdv2009.0
+ Revision: 210828
- update to new version 0.980

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.979-1mdv2009.0
+ Revision: 208359
- update to new version 0.979

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.977-1mdv2008.1
+ Revision: 153993
- update to new version 0.977

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.976-1mdv2008.1
+ Revision: 110873
- new version
- new version


* Sun Mar 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.959-1mdv2007.0
+ Revision: 132087
- 0.959

* Thu Mar 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.942-3mdv2007.1
+ Revision: 130523
- fix #24641

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -  Add BuildRequires

* Tue Aug 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.942-1mdv2007.0
+ Revision: 53978
- 0.942; remove obsolete URLs
- Import perl-PAR

* Sat Jun 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.94-1mdv2007.0
- 0.94

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.92-1mdk
- 0.92

* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.91-1mdk
- 0.91

* Sun Nov 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.90-1mdk
- 0.90

* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.89-1mdk
- 0.89
- Patch 0 : fix interpreter paths

* Wed Jun 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.88-1mdk
- 0.88
- Drop patches, committed upstream

* Fri May 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.87-2mdk
- Rebuild for new perl
- New URL
- Patch 0 : don't skip tests
- Patch 1 : compile with gcc 4

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.87-1mdk
- 0.87

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.86-1mdk
- New version

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-3mdk
- Rebuild for new perl

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-2mdk
- Rebuild for new perl

* Sat Jul 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-1mdk
- 0.85 ; fix Requires

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.83-1mdk
- 0.83

* Tue May 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.81-1mdk
- New version

* Sat May 22 2004 Florin <florin@mandrakesoft.com> 0.80-1mdk
- first Mandrake release

